; _________________________________________
;| Pheromosa by Vorse_Raidier              |
; ¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
;==============================================================================================
;========================================<SUPER MOVES>========================================
;==============================================================================================

;---------------------------------------------------------------------------

;Signal Beam stance
[statedef 13000]
type=s
movetype=a
physics=n
anim=13000
juggle=0
poweradd=-2000
ctrl=0
facep2 =1

[State 0, vel]
type=velset
trigger1=1 
x=0
y=0

[State 0, SuperPause]
type = SuperPause
trigger1 = animelemtime(5) = 2
time = 50
anim = 13001
sound = S4000,5
pos =0,0; 24,121
movetime = 50
darken = 1
p2defmul = 1
poweradd = 0
unhittable = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(18)=1
value = S40,2
channel = 3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(5) = 0
value = S40,1
channel = 3



[State 0, Helper]
type = Helper
trigger1 = animelemtime(5) = 1
helpertype = normal ;player
name = "start up"
ID = 13001
stateno = 13001
pos = 24,-121
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 9999
pausemovetime = 9999




[State 0, Helper]
type = Helper
trigger1 = animelemtime(18)=1
name = "Sig beam blast"
ID = 13003
stateno = 13003
pos = 0,20
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
scale=.75,.75

[state 3020]
type=changestate
trigger1=!animtime
value=0
ctrl=1

;signal start up
[statedef 13001]
type=U
movetype=I
physics=N
anim=13001
ctrl=0
sprpriority=5

[State 0, BindToRoot]
type = BindToRoot
trigger1 = time =[0,42]
time = 1
pos = 24,-121

[State 0, AssertSpecial]
type = AssertSpecial
trigger1=1
flag=noshadow
ignorehitpause=1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = !animtime
trigger2 = root,stateno !=13000
ignorehitpause = 1



;sig beam helper
[statedef 13003]
type=U
movetype=a
physics=U
anim=13002
ctrl=0
poweradd=0
sprpriority=5


[State 0, BindToParent]
type = BindToParent
trigger1 = 1
time = 1
;facing = 0
pos = 70,-90
ignorehitpause = 1


[State 0, PlaySnd]
type = null;PlaySnd
trigger1=!time 
value=S3000,10

[State 0, AssertSpecial]
type = AssertSpecial
trigger1=1
flag=noshadow
ignorehitpause=1 

[State 0, Helper]
type = Helper
trigger1=animelem=5||animelem=6||animelem=7||animelem=8||animelem=9||animelem=1||animelem=2
trigger2=animelem=3||animelem=4
helpertype = normal ;player
name = "Beam Cannon"
ID = 13005
stateno = 13005
pos = 0,0
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999


[State 0, DestroySelf]
type = DestroySelf
trigger1=root,stateno != 13000
trigger2=animtime=0
ignorehitpause=1

;signal beam cannon
[Statedef 13005]
type = S
movetype = A
physics = N

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 =!time
value = 13005

[State 0, HitBy]
type = HitBy
trigger1 = 1
value = SCA,NP,SP,HP
time = 1
ignorehitpause = 1

[State 0, HitOverride]
type = HitOverride
trigger1 = 1 
attr = SCA,NP,SP,HP
stateno = 13006


[State 0, Trans]
type = Trans
trigger1 = 1
trans = add

[State 0, AngleDraw]
type = AngleDraw
trigger1 =1
scale =1,1

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 0, SprPriority]
type = SprPriority
trigger1 = 1
value = 30

 [State 0, VelSet]
    type = VelSet
    trigger1 = 1
    x = ifelse(((EnemyNear,Pos X - Pos X)*facing/20) > 15, ((EnemyNear,Pos X - Pos X)*facing/20),15)
    y = ((EnemyNear,Pos Y - Pos Y+EnemyNear,Const(size.mid.pos.y))/20)+((EnemyNear,statetype=C)||(EnemyNear,statetype=L))

[State 0, HitDef]
type = HitDef
trigger1 = !time
attr = S,HP
hitflag = MAFDP        
guardflag = MA         
animtype = hard
air.animtype = hard
;fall.animtype = Back
priority = 6,Hit
damage = ceil((cond(root,fvar(11) * 15 < 5, 5+random%5, root,fvar(11) * 15)+random%5 )*cond((root,numhelper(35499)),2,1)), random%15
pausetime = 0 ,0
;guard.pausetime = 0,0
sparkno = S1
guard.sparkno = s1
sparkxy = 0,0
hitsound = S3050,1
guardsound = S3050,0
ground.type = High      ;Low,Trip,None
ground.slidetime = 40
ground.hittime = 40
air.hittime = 320
yaccel = 0.45
ground.velocity = -5,0
air.velocity = -7,-3
airguard.velocity = -8,-2
forcestand = 1
fall = 1
fall.yvelocity = -4.5
fall.recover = 1
fall.recovertime = 350
hitonce = 1
kill = 1
guard.kill = 1
fall.kill = 1
numhits = 1 
envshake.time = 3
envshake.freq =5
envshake.ampl = 8
envshake.phase =44 
palfx.add= 0,50,240
palfx.mul = 120,224,150
palfx.sinadd = 85,55,110,10
palfx.time=15




[State 0, Helper]
type = Helper
trigger1 = movehit && numhelper(13008) = 0  ;call on dizzy helper 1
helpertype = normal ;player
name = "Dizzy"
ID = 13008
stateno = 13008
pos = 0,0
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0 
pausemovetime = 0
size.xscale = .166
size.yscale = .166


[State 0, ChangeState]
type = ChangeState
trigger1 = movecontact
value = 13006
ctrl = 0


[State 0, DestroySelf]
type = DestroySelf
trigger1 = time >= 25



;signal beam cannon hits
[Statedef 13006]
type = S
movetype = I
physics = N
velset = 0,0

[State 0, Trans]
type = Trans
trigger1 = 1
trans = add

[State 0, AngleDraw]
type = AngleDraw
trigger1 =1
scale =2,2

[State 0, PosSet]
type = PosSet
triggerall = numtarget
trigger1 = !ishelper
x = target,pos x
y = target, pos y
;ignorehitpause = 
;persistent = 



[State 0, ChangeAnim]
type = ChangeAnim
trigger1 =!time
value = 13003

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 15

;reverb
[Statedef 13013]
type    = U
movetype= H
physics = N
juggle  = 0
velset = -2,-3
ctrl = 0

[State 0, DestroySelf]
type = DestroySelf
triggerall=ishelper
trigger1 = time= 0

[State 0, LifeAdd]
type = LifeAdd
trigger1 =time = 0 
value = -lifemax/10
kill = 1


[State 0, PalFXWiz]
type = PalFX
trigger1 = 1
time = 120
add = 0,100,50
mul = 20,88,24
sinadd = 85,110,55,10
invertall = 0
color = 0


[State 0, VelSet]
type = Veladd
trigger1 = Time <= 2
x = -.5
y = -.33

[State 0, VelSet]
type = Veladd
trigger1 = time >=3
x = -.5
y = .4

[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = vel y <= 0
value =  11111 


[State 0, PosSet]
type = PosSet
trigger1 = pos y >= 0
y = 0

[State 1830]
type = SelfState
trigger1 = Vel Y > 0
value = 5050
ctrl =0

;gone
[Statedef 13014]
type = A
physics = N
moveType = I
anim = 8010
velSet = 0,0
sprPriority = 5

[State ??’u?C??]
Type = PosSet
Trigger1 = numenemy
Trigger1 = time = 0
X = Floor(enemy(0),Pos X)
Y = Floor(enemy(0),const(size.head.pos.y))

[State 8014, Assert: NoShadow]
type = AssertSpecial
trigger1 = 1
flag = NoShadow
ignoreHitPause = 1

[State 8014, AngleSet]
type = AngleSet
trigger1 = !Time
value = 30 * (Random % 12)

[State 8014, AngleAdd]
type = AngleAdd
trigger1 = 1
value = 30

[State 8014, Scale]
type = AngleDraw
trigger1 = Time < 10
scale = 0.5 - (Time * 0.05), 0.5 - (Time * 0.05)
ignoreHitPause = 1

[State 8014, Scale]
type = AngleDraw
trigger1 = Time >= 10
scale = 0,0
ignoreHitPause = 1

[State 8014, Transparency]
type = Trans
trigger1 = 1
trans = AddAlpha
alpha = 256,256
ignoreHitPause = 1

[State 8014, Center Explod]
type = Explod
trigger1 = !Time
anim = 8011
ID = 1
posType = P1
facing = ifElse(Random < 500, -1, 1)
vFacing = ifElse(Random < 500, -1, 1)
sprPriority = 5
removeTime = 16
pauseMoveTime = -1
superMoveTime = -1

[State 8014, Scale Center Explod]
type = ModifyExplod
trigger1 = NumExplod(1)
ID = 1
scale = 0.25 + (0.015625 * Time), 0.25 + (0.015625 * Time)
trans = AddAlpha
alpha = 256 - (16 * Time), 256

[State 8014, Streaks Explod]
type = Explod
trigger1 = !Time
anim = 8012
ID = 2
posType = P1
facing = ifElse(Random < 500, -1, 1)
vFacing = ifElse(Random < 500, -1, 1)
sprPriority = 5
removeTime = 16
pauseMoveTime = -1
superMoveTime = -1

[State 8014, Scale Streaks Explod]
type = ModifyExplod
trigger1 = NumExplod(2)
ID = 2
scale = 0.25 + (0.015625 * Time), 0.25 + (0.015625 * Time)
trans = AddAlpha
alpha = 256 - (16 * Time), 256



[State 8014, Scale P2 Back Explod]
type = ModifyExplod
trigger1 = NumExplod(3)
ID = 3
scale = 0.5,0.5
trans = AddAlpha
alpha = 256 - (32 * Time), 256

[State 8014, Impact Explod]
type = Explod
trigger1 = !Time
anim = 8014
ID = 4
posType = P1
facing = ifElse(Random < 500, -1, 1)
vFacing = ifElse(Random < 500, -1, 1)
sprPriority = 3
removeTime = 8
pauseMoveTime = -1
superMoveTime = -1

[State 8014, Scale Impact Explod]
type = ModifyExplod
trigger1 = NumExplod(4)
ID = 4
scale = 0.5 - (0.0625 * Time), 0.5 - (0.0625 * Time)
trans = AddAlpha
alpha = 256 - (32 * Time),256

[State 8014, Remove Explods]
type = RemoveExplod
trigger1 = time >= 16

[State 8014, End]
type = DestroySelf
trigger1 = Time >= 16


;dizzy mark 1
[Statedef 13008]
anim = 13021
velset = 0,0
sprpriority = 6;-1

[State ??’u?C??]
Type = PosSet
Trigger1 = numenemy
X = Floor(enemy(0),Pos X)
Y = Floor(enemy(0),Pos Y)


[State 0, VarRandom]
type = VarRandom
trigger1 = time%20 = 1
v = 10
range = 0,3000

[State 0, ReversalDef]
type = ReversalDef
trigger1 = var(10) >= 2800
trigger1 = ishelper
reversal.attr = SCA,NA,SA,HA,NT,ST,HT
pausetime = 0,0
sparkno =1; -1 + 0*(var(12):=8010)
sparkxy = 0,0 ;offset
hitsound = S4000,10
p2stateno = 13013
p1stateno = 13014



[State -2, Explod]
type = Explod
triggerall =numexplod(118) <= numenemy
trigger1 = time = 0
ID = 118
anim = 8550
postype = p2
pos = 0,enemy,const(size.head.pos.Y)-15
bindtime = -1
velocity = 0, 0
accel = 0, 0
ownpal = 1
removetime = -1
sprpriority = 5
removeongethit = 1
ignorehitpause = 1
persistent = 0
scale = 0.9,1.05


[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = enemy(0),alive = 0
trigger2 = time = 750
trigger3 = roundstate =! 2
id = 118


[State 700, Zeeky]
type = destroyself
trigger1 = enemy(0),alive = 0
trigger2 = time = 750
trigger3 = roundstate =! 2
ignorehitpause = 1


;Call stars stance
[statedef 15000]
type=s
movetype=a
physics=S
anim=1000
juggle=0
poweradd=-2000
ctrl=0
facep2 =1

[State 0, vel]
type=velset
trigger1=1 
x=0
y=0

[State 0, SuperPause]
type = SuperPause
trigger1 = animelemtime(4) = 4
time = 31
anim = s1
sound = S4000,5
pos =0,0; 24,121
movetime = 30
darken = 1
p2defmul = 1
poweradd = 0
unhittable = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(5)=1
value = S1,23
channel = 3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(4) = 2
value = S13,1
channel = 1



[State 0, Helper]
type = Helper
trigger1 = animelemtime(5) = 1
helpertype = normal ;player
name = "star helper"
ID = 37130
stateno = 37130
pos = 25,-125
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 9999
pausemovetime = 9999




[state 3020]
type=changestate
trigger1=!animtime
value=0
ctrl=1


;Call nihilego 
[statedef 17500]
type=s
movetype=a
physics=s
anim=1001
juggle=0
poweradd=-9999
ctrl=0
facep2 =1

[State 0, vel]
type=velset
trigger1=1 
x=0
y=0

[State 0, SuperPause]
type = SuperPause
trigger1 = animelemtime(5) = 1
time = 51
anim = 1
sound = S4000,5
pos =30,-130; 24,121
movetime = 51
darken = 1
p2defmul = 1
poweradd = 0
unhittable = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(5)=1
value = S1,23
channel = 3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(4) = 2
value = S15,1
channel = 1


[State 0, Helper]
type = Helper
trigger1 = animelemtime(4) = 1
helpertype = normal ;player
name = "nihilego helper"
ID = 22500
stateno = 22500
pos = 0,-1000
postype = p2    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999
ignorehitpause =1

[state 3020]
type=changestate
trigger1=!animtime
value=0
ctrl=1

;Call nihilego  air
[statedef 17501]
type= A
movetype=a
physics=a
anim=1001
juggle=0
poweradd=-2000
ctrl=0
facep2 =1


[State 0, SuperPause]
type = SuperPause
trigger1 = animelemtime(5) = 1
time = 51
anim = 1
sound = S4000,5
pos =30,-130; 24,121
movetime = 51
darken = 1
p2defmul = 1
poweradd = 0
unhittable = 1




[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(5)=1
value = S1,23
channel = 3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(4) = 2
value = S15,1
channel = 1


[State 0, Helper]
type = Helper
trigger1 = animelemtime(4) = 1
helpertype = normal ;player
name = "nihilego helper"
ID = 22500
stateno = 22500
pos = 0,-300
postype = p2    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999
ignorehitpause =1

[state 3020]
type=changestate
trigger1=!animtime
value=50
ctrl=1

[State 640, End]
type=changestate
trigger1= pos y>-vel y
value=52


;Call nihilego attack
[statedef 19550]
type=s
movetype=a
physics=s
anim=1010
juggle=0
ctrl=0
facep2 =1

[State 0, vel]
type=velset
trigger1=1 
x=0
y=0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(2) = 2
value = S0,11
channel = 3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(4) = 1
trigger1 = random >= 333
value = S15,1
channel = 1




[state 3020]
type=changestate
trigger1=!animtime
value=0
ctrl=1

[Statedef 305]
type = A
movetype = A
physics = N
SprPriority = 2
ctrl = 0

[State 20005, AssertSpacial]
Type = AssertSpecial
Trigger1 = 1
Flag = Noshadow
IgnoreHitPause = 1

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(302)
value = 302

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(303)
value = 303

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(304)
value = 304

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(305)
value = 305

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(306)
value = 306

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(307)
value = 307

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(308)
value = 308

[State 300 , 7]
type = ChangeAnim
trigger1 = time = 0
trigger1 = IsHelper(309)
value = 309

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(302)
anim = 312
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(303)
anim = 313
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(304)
anim = 314
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(305)
anim = 315
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(306)
anim = 316
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(307)
anim = 317
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(308)
anim = 318
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 2001]
type = Explod
trigger1 = time = 0
trigger1 = IsHelper(309)
anim = 319
pos = 0,0
postype = P1
scale = 0.5,0.5
sprpriority = 1

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 302
x = -3

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 303
x = -2.25
y = -2.25

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 304
y = -3

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 305
x = 2.25
y = -2.25

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 306
x = 3

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 307
x = 2.25
y = 2.25

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 308
y = 3

[State 300 , 7]
type = VelSet
trigger1 = time = 25
trigger1 = Anim = 309
x = -2.25
y = 2.25

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 302
x = -0.3

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 303
x = -0.225
y = -0.225

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 304
y = -0.3

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 305
x = 0.225
y = -0.225

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 306
x = 0.3

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 307
x = 0.225
y = 0.225

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 308
y = 0.3

[State 300 , 7]
type = VelAdd
trigger1 = time >= 25
trigger1 = Anim = 309
x = -0.225
y = 0.225

[State 300 , 2]
type = HitDef
trigger1 = var(0) < 4
trigger1 = time >= 25
attr = A,HP
damage = Ifelse(var(0)>=3,Ceil(root,FVar(10)*50),Ceil(root,FVar(10)*15)),Ifelse(var(0)>=3,Ceil(root,FVar(10)*7),Ceil(root,FVar(10)*1))
animtype = Hard
getpower = 35,35
givepower = 10,10
guardflag = MA
hitflag = MAF
priority = 4,Hit
pausetime = 10,15
guard.pausetime = 5,10
hitsound = s5,5
guardsound = s6,2
sparkno = -1
sparkxy = 0,0
ground.type = high
ground.slidetime = 18
ground.hittime = 20
air.hittime = 20
ground.velocity = 0,-7
guard.velocity = -1
air.velocity = 0,-7
airguard.velocity = -1,-5.5
yaccel = 0.48
fall = 1
fall.recovertime = Ceil(root,fvar(20)*30+15)
guard.kill = Ifelse(Root,var(59)>0,1,0)
ID = 290

[State -2 , 1]
type = Varadd
trigger1 = MoveContact = 1
v = 0
value = 1
persistent = 1

[State -2 , 1]
type = ParentVaradd
trigger1 = MoveHit
trigger1 = HitCount = 1
v = 14
value = 1
IgnoreHitPause = 1
persistent = 0


[State -2 , 1]
type = ParentVaradd
trigger1 = MoveHit
trigger1 = HitCount = 2
v = 14
value = 1
IgnoreHitPause = 1
persistent = 0

[State -2 , 1]
type = ParentVaradd
trigger1 = MoveHit
trigger1 = HitCount = 3
v = 14
value = 1
IgnoreHitPause = 1
persistent = 0

[State -2 , 1]
type = ParentVarset
trigger1 = MoveHit
trigger1 = HitCount = 3
fv = 11
value = root,fvar(11)*0.95
IgnoreHitPause = 1
persistent = 0

[State -2 , 1]
type = ParentVarset
trigger1 = MoveHit
trigger1 = HitCount = 3
fv = 20
value = Root,fvar(20)*0.98
IgnoreHitPause = 1
persistent = 0

[State -2 , 1]
type = ParentVaradd
trigger1 = MoveHit
trigger1 = HitCount = 4
v = 14
value = 1
IgnoreHitPause = 1
persistent = 0

[State -2 , 1]
type = ParentVarset
trigger1 = MoveHit
trigger1 = HitCount = 4
fv = 11
value = root,fvar(11)*0.7
IgnoreHitPause = 1
persistent = 0

[State -2 , 1]
type = ParentVaradd
trigger1 = MoveHit
trigger1 = HitCount = 5
v = 14
value = 1
IgnoreHitPause = 1
persistent = 0


[State 10000]
type = destroyself
trigger1 = time >= 100



;Call nihilego attack air 
[statedef 19551]
type=A
movetype=a
physics=A
anim=1011
juggle=0
ctrl=0
facep2 =1


[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(3) = 0
value = S0,11
channel = 3


[State 640, End]
type=changestate
trigger1= !animtime
value=50
ctrl = 1

[State 640, End]
type=changestate
trigger1= pos y>-vel y
value=52


;Call poipole 
[statedef 19500]
type=s
movetype=a
physics=s
anim=1000
juggle=0
poweradd=0
ctrl=0
facep2 =1

[State 0, vel]
type=velset
trigger1=1 
x=0
y=0



[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(5)=1
value = S1,23
channel = 3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelemtime(4) = 1
value = S15,0
channel = 1

[State 0, VarSet]
type = VarSet
trigger1 = animelemtime(4) = 2
v = 45  
value = 3

[State 0, Helper]
type = Helper
triggerall= numhelper
triggerall= numhelper(14250) = 0
trigger1 = animelemtime(5) = 1
helpertype = normal ;player
name = "Poipole helper"
ID = 14250
stateno = 14250
pos = 80,-250
postype = p1    
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999



[state 3020]
type=changestate
trigger1=!animtime
value=0
ctrl=1






[Statedef 3000]
type=S
physics=N
movetype=A
ctrl=0
velset=0,0
sprpriority=1
poweradd=-1000
facep2=1

[State 3000, Anim]
type=changeanim
trigger1=!time
value=3000

[state 3000,Posset]
type=posset
trigger1=!time
y=0

[State 3000, Button Detect]
type = VarSet
trigger1 = !Time && !AILevel
var(10) = ifElse((command = "x" || command = "QCF_x"), 0, ifElse((command = "y" || command = "QCF_y"), 1, 2))

[State 3000, Button Detect (AI)]
type = VarSet
trigger1 = !Time && AILevel
var(10) = ifElse((P2MoveType = H || Random < 500), 2, ifElse(Random < 500, 1, 0))

[State 3000, Super Cancel Flag]
type = varset
trigger1 = !time
var(21) = ((prevstateno = [1000, 2999]) && var(7)) || var(20)

[State 3000, Hyper Cancel Flag]
type = varset
trigger1 = !time
var(22) = (prevstateno = [3000, 4999]) && var(8)

[State 3000, CC Reset]
type = palfx
trigger1 = !time
trigger1 = !(var(20) := 0)
time = 1

[State 3000, Corner Push]
type = varset
trigger1 = time = 3
fvar(5) = 0

[State 3000, Unguardable]
type = VarSet
trigger1 = Time = 3 && NumEnemy
trigger1 = (EnemyNear, StateNo != [120,155])
var(17) = 40

[State 3000, Super Cancel Flash]
type = palfx
trigger1 = var(21) || var(22)
trigger1 = !(time % 2) && time <= 12
time = 1
add = 255, 255, 255
ignorehitpause = 1

[State 3000, Super Cancel Juggle]
type = varset
trigger1 = !time
trigger1 = var(21) || var(22)
var(15) = 0
ignorehitpause = 1

[State 3000, Superpause FX]
type = helper
trigger1 = Time = 3
stateno = 8500
ID = 8500
name = "Superpause FX"
postype = p1
pos = 3, -104
supermovetime = 255
size.xscale = 1
size.yscale = 1
ownpal = 1

[State 3000, Superpause]
type = superpause
trigger1 = Time = 3
time = 40
movetime = 40
p2defmul = 1
unhittable = 1
anim = -1
sound = s8500,0
darken = 0

[State 3000, Idle]
type = StateTypeSet
trigger1 = AnimElemTime(9) >= 0
moveType = I

[State 3000, ChangeState]
type = ChangeState
trigger1 = !animtime
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;MAX Super 1
[StateDef 3050]
type=S
movetype=A
physics=N
poweradd=-2000
ctrl=0
velset=0,0
sprpriority=1
facep2=1

[State 3050, Anim]
type=changeanim
trigger1=!time
value=3050

[state 3050,Posset]
type=posset
trigger1=!time
y=0

[State 3050, Button Detect]
type = VarSet
trigger1 = !Time
var(10) = 3

[State 3050, Super Cancel Flag]
type = VarSet
trigger1 = !Time
var(21) = ((PrevStateNo = [1000,2999]) && var(7)) || var(20)

[State 3050, Hyper Cancel Flag]
type = VarSet
trigger1 = !Time
var(22) = (PrevStateNo = [3000,4999]) && var(8)

[State 3050, Custom Combo Reset]
type = PalFX
trigger1 = !Time
trigger1 = !(var(20) := 0)
time = 1

[State 3050, Corner Push]
type = VarSet
trigger1 = Time = 3
fvar(5) = 0

[State 3050, Unguardable]
type = VarSet
trigger1 = Time = 3 && NumEnemy
trigger1 = (EnemyNear, StateNo != [120,155])
var(17) = 40

[State 3050, Super Cancel Flash]
type = PalFX
trigger1 = var(21) || var(22)
trigger1 = !(Time % 2) && Time <= 12
time = 1
add = 255,255,255
ignoreHitPause = 1

[State 3050, Super Cancel Juggle]
type = VarSet
trigger1 = !Time
trigger1 = var(21) || var(22)
var(15) = 0
ignoreHitPause = 1

[State 3050, Super Pause FX]
type = Helper
trigger1 = Time = 3
stateNo = 8510
ID = 8500
name = "Superpause FX"
posType = P1
pos = 3, -104
superMoveTime = 255
size.xScale = 1
size.yScale = 1
ownpal = 1

[State 3050, Super Pause]
type = SuperPause
trigger1 = Time = 3
time = 40
moveTime = 40
p2DefMul = 1
unHittable = 1
anim = -1
sound = s8500,0
darken = 0

[State 3050, End]
type = ChangeState
trigger1 = !AnimTime
value = 0
ctrl = 1

;-----------------------------------------------
;LVL 3 Super
[StateDef 3500]
type = S
physics = S
moveType = A
ctrl = 0
velSet = 0,0
sprpriority = 1
powerAdd = 0
faceP2 = 1

[State 3500, Anim]
type=changeanim
trigger1=!time
value=3500

[state 3500,Posset]
type=posset
trigger1=!time
y=0

[State 3000, Super Cancel Flag]
type = varset
trigger1 = !time
var(21) = ((prevstateno = [1000, 2999]) && var(7)) || var(20)

[State 3000, Hyper Cancel Flag]
type = varset
trigger1 = !time
var(22) = (prevstateno = [3000, 4999]) && var(8)

[State 3000, CC Reset]
type = palfx
trigger1 = !time
trigger1 = !(var(20) := 0)
time = 1

[State 3000, Corner Push]
type = varset
trigger1 = time = 3
fvar(5) = 0

[State 3000, Unguardable]
type = VarSet
trigger1 = Time = 3 && NumEnemy
trigger1 = (EnemyNear, StateNo != [120,155])
var(17) = 40

[State 3000, Super Cancel Flash]
type = palfx
trigger1 = var(21) || var(22)
trigger1 = !(time % 2) && time <= 12
time = 1
add = 255, 255, 255
ignorehitpause = 1

[State 3000, Super Cancel Juggle]
type = varset
trigger1 = !time
trigger1 = var(21) || var(22)
var(15) = 0
ignorehitpause = 1

[State 3500, Super Pause FX]
type = Helper
trigger1 = animelem = 4
stateNo = 8520
ID = 8500
name = "Superpause FX"
posType = p1
pos = 11, -63
superMoveTime = 255
size.xScale = 1
size.yScale = 1
ownpal = 1

[State 3500, Super Pause]
type = SuperPause
trigger1 = animelem = 4
time = 43
moveTime = 43
p2DefMul = 1
unHittable = 1
anim = -1
sound = s8500,0
darken = 0

[State 3500, End]
type = ChangeState
trigger1 = !AnimTime
value = 0
ctrl = 1

;Close combat
[Statedef 3600]
Type 	= S
MoveType 	= A
Physics 	= S
Ctrl 	= 0
Anim 	= 3000
SprPriority = 2
FaceP2 	= 1

[State 3000, ‘¬“x0]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3000, ƒpƒ[]
type = PowerAdd
trigger1 = time = 0
value = -3000
IgnoreHitPause = 1
Persistent = 0

[State 3000, –³“G]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 3000, ƒX[ƒp[ƒ|[ƒY@ƒJƒbƒgƒCƒ“–³‚µ]
type = SuperPause
trigger1 = time = 0
time 	= 25
Movetime 	= 25
anim 	= -1
P2DefMul 	= 1
darken 	= 0
Persistent = 0

;face cut in
[State 3000, –{‘ÌŒõƒGƒtƒFƒNƒg]
Type = null;Helper
trigger1 = time = 0
StateNo = 31111
ID = 311111
name = "cut in"
PosType = P1
Ownpal 	= 1
SuperMoveTime = 999999999999
PauseMoveTime = 999999999999
Persistent = 0


[State 3000, ç‚­—‹@“Ëi]
type = ChangeState
trigger1 = AnimTime = 0
value = 3010













;---------------------------------------------------------------------------------------------------------------------------------------------------------
;Luxurious Kick to tri axel
[Statedef 21000]
type     = a
movetype = A
physics  = u
velset   = 0,0
anim     = 2100
ctrl     = 0
sprpriority = 2
poweradd = -3000


[State 0, SuperPause]
type = SuperPause
trigger1 = TIME = 0
time = 30
anim = s1
sound = S1,30
pos =0,0; 24,121
movetime = 0
darken = 1
p2defmul = 1
poweradd = 0
unhittable = 1

[State PlaySnd]
type = PlaySnd
trigger1 = Animelem = 1
value = s1,30
channel = 4


[State 0, NotHitBy]
type = NotHitBy
trigger1 = movehit
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1
ignorehitpause = 1



[State 0, Explod]
type = Explod
trigger1 = animelem = 2
anim = 1410
ID = 1410
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 9999
removetime = -2
pausemovetime = 0
scale = 1.25,1.25
sprpriority = 5
ontop = 1
ownpal = 0
removeongethit = 1
ignorehitpause = 1
trans = add


[state 200, 1]
type = playsnd
trigger1 = animelem = 2
value = 12,random%3
channel = 1


[State 810, •¨—“I‚ÈƒLƒƒƒ‰‚Ì•]
type = Width
trigger1 = 1
edge = 40,0

[State 170, –³“G]
type = NotHitBy
trigger1 = AnimElemtime(6) < 0
value = SCA


[State 1000, ]
type =Velset
trigger1 = p2dist x >= 50 || movecontact
;AnimElemtime(4) >= 0 && AnimElemtime(6) <= 0
x = 8

[State 1000, ]
type = Velset
trigger1 = time = 0;AnimElem = 4
y = -12

[State 1000, ]
type = Veladd
trigger1 = time >= 1; AnimElemtime(4) >= 0
y = .54

[State 1000, ]
type = Posadd
trigger1 = AnimElem = 1
x = 10

[State 0, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = S2,5
channel = 3


[State 200, ƒqƒbƒg’è‹`]
type = HitDef
trigger1 = !time
attr = A, Ha
damage = ceil(ifelse(fvar(11)*80<40, 40, fvar(11)*80)),10
getpower = 60,20
givepower = 40,15
animtype = up
guardflag = H
hitflag = HAF
getpower = 50
priority = 7, miss
pausetime = 15, 18
ground.type = High
ground.slidetime = 20
ground.hittime  = 21
ground.velocity = -5,-6.2
air.type = High
air.velocity = -3,-15;-4.7,-8.4
air.hittime = 12
yaccel = .42
fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
hitsound = 0,19
guardsound = 0,18
sparkno = -1 + 0*(var(33):=8012)
guard.sparkno = -1 + 0*(var(34):=8000)
sparkxy = -10 + 0*(var(35):=64), var(36):=-80
palfx.time = 12*var(9)
palfx.add = 255,255,255
palfx.sinadd= -255,-255,-255,48
p2stateno = 2112 
kill = 0

[State 0, TargetState]
type = TargetState
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 2 
value = 2112

[State 0, TargetState]
type = TargetState
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 4
value = 2113

[State 0, TargetState]
type = TargetState
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 6
value = 2114

[State 0, TargetState]
type = TargetState
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 8
value = 2115

[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 2
time =2
id = -1
pos = 83,-24

[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 3
time = 2
id = -1
pos = 83,-24

[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 4
time = 2
id = -1
pos = 48,-187

[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 5
time = 2
id = -1
pos = -2,-189

[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 6
time = 2
id = -1
pos = -80,-150


[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 7
time = 2
id = -1
pos = -95,-95


[State 0, TargetBind]
type = TargetBind
triggerall = movehit
triggerall = !ishelper
trigger1 = animelem = 8
time = 2
id = -1
pos = 0,0


[State 0, ChangeState]
type = ChangeState
triggerall = numtarget
triggerall = target,stateno= [2112,2115]
trigger1 = animelem >= 8
trigger2 = Vel Y > 0 && Pos Y >= 0
value = 21010
ctrl = 0


[State 1000, ƒXƒe[ƒg•ÏX]
type = ChangeState
triggerall = AnimElemtime(10) >= 0
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 1202

;-------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Luxurious Kick hyper going down with target
[Statedef 21010]
type     = u
movetype = A
physics  = u
velset   = 0,0
anim     = 2105
ctrl     = 0
sprpriority = 2


[State 170, –³“G]
type = NotHitBy
trigger1 = 1
value = SCA

[State 1000, ]
type = Veladd
trigger1 = 1
y = .54


[State 0, TargetState]
type = TargetState
triggerall = !ishelper
trigger1 = 1
value = 2115


[State 0, TargetBind]
type = TargetBind
triggerall = !ishelper
trigger1 = 1
time = 2
pos = 0,0
ignorehitpause = 1

[State 1000, ƒXƒe[ƒg•ÏX]
type = ChangeState
trigger1 = Vel Y > 0 && Pos Y >= 0
trigger2 = Pos Y >= -50
value = 21060
ignorehitpause = 1

;----------------------------------------------------------------------------------------------------------------------------

; Lux landed
[statedef 21060]
type    = u
movetype= A
physics = n
velset = 0,0
ctrl = 0

[state 200, 1]
type = posset
trigger1 = 1
y = 0

[State 0, TargetBind]
type = TargetBind
triggerall = !ishelper
trigger1 = time= 0
time = 1
pos = 0,0
ignorehitpause = 1


[State 0, TargetState]
type = TargetState
triggerall = !ishelper
trigger1 = time = 0
value = 2116
ignorehitpause = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = time = 0
value = -ceil(ifelse(fvar(11)*100<30, 30, fvar(11)*100))
kill = 0
ignorehitpause = 1

[State 0, PowerAdd]
type = PowerAdd
trigger1 = time = 0
value = 100

[State -2, heavy Ground Impact Dust]
type = Helper
trigger1=animelem =1
stateNo = 8112
ID = 8112
name = "Heavy Ground Impact Dust"
posType = P2
facing = -1
pos = 0,20
ownPal = 0
ignorehitpause=1
persistent = 0
scale = 1,1

[state 52, 1]
type = changeanim
trigger1 = time = 0
value = 2106

[state 52, playsnd]
type = playsnd
trigger1 = animelem = 1
value = s1,5
channel = 3

[State 0, EnvShake]
type = EnvShake
trigger1 = time = 0
time = 5
freq = 60
ampl = -8
 

[state 52, Dust]
type = explod
trigger1 = time = 2
anim = 6007
id = 6007
postype = p1
pos = 0,0
ownpal = 1
bindtime = 1
sprpriority = -2
persistent = 0
removeongethit = 0

[State 0, Hitspark Explod]
type = Explod
trigger1 = animelem= 1
anim = (var(33):=8011)
pos = 0,-10
postype = p2  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 5
vel = 0,0
accel = 0,0
random = 0,0
removetime = 5
pausemovetime = 0
scale = 1,1
sprpriority = 0
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

[state 52, 5]
type = targetstate
triggerall = numtarget
trigger1 =target, alive = 1
trigger1 = animtime = 0
value = 18011
ignorehitpause =0


[state 52, 5]
type = changestate
trigger1 = animtime = 0
value =cond(target, alive = 1, 18001, 2107)
ctrl = 0
ignorehitpause =0


;air drill run down
[Statedef 17800]
type    = A
movetype= A
physics = N
velset = 0,-10
facep2 = 1
anim = 1352
ctrl = 0
poweradd = -2000


[State PlaySnd]
type = PlaySnd
trigger1 = Animelem = 1
value = s1,29
channel = 4

[State 1050, ExFX]
type = varset
trigger1 = !time
var(25) = 44

[State 0, Pause]
type = Pause
trigger1 = Animelem = 1
time = 3
movetime = 0



[State 1820,NotHitBy]
type = NotHitBy
trigger1 = animelem = 1
value = SCA
time = 1

[State 1820,Pos]
type = PosFreeze
trigger1 = AnimElem = 1


[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = s1,17
channel = 3

[State 0, Explod]
type = Explod
trigger1 = animelem = 4
anim = 1501
ID = 1411
pos =10,-70
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 9999
removetime = -2
pausemovetime = 0
scale = 1,1
sprpriority = -5
ontop = 0
ownpal = 0
removeongethit = 1
ignorehitpause = 1
trans = add

[State 1051, 1] ;Gravity
type = Velset
trigger1 = animelem >= 3
x = 25
y = 15

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0


[State 1004, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[state 240, 2]
type = hitdef
trigger1 = time = 0
trigger1 = !movecontact || !movereversed
attr = A, HT
animtype  = light
damage    = 0,25
getpower = 0,0
hitFlag = mafd
guarDFlag = ha
pausetime = 6,6
hitsound = S2,7
guardsound = S0,8
sparkno = s6026
;guard.sparkno = s6000
sparkxy = -10,-10
ground.type = high
ground.slidetime = 15
ground.hittime  = 40
ground.type = high
ground.velocity = -9;,-6
air.velocity = -5,-9
fall = ifelse(var(13) >= 2,1,0)
air.fall = 1
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
down.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
p1stateno = 18050
p2stateno = 18051
kill=0

[State 0, TargetBind]
type = TargetBind
trigger1 = numtarget
trigger1 = movehit
time = 1
pos = 0,0



[State 1051, 2] 
type = ChangeState
trigger1 = (Vel Y > 0) && (Pos Y >= 0)
value = 52
ctrl = 1


;air drill hit going down
[Statedef 18050]
type    = A
movetype= A
physics = N
velset = 0,-10
facep2 = 1
anim = 1353
ctrl = 0
poweradd = 0

[State 1051, 1] ;Gravity
type = Velset
trigger1 = 1
x = 25
y = 15


[State 0, TargetBind]
type = TargetBind
triggerall = !ishelper
trigger1 = time= 0
time = 1
pos = 51,-15
ignorehitpause = 1


[State 1051, 2] 
type = ChangeState
trigger1 = (Vel Y > 0) && (Pos Y >= 0)
value = 18052
ctrl = 0

; Lux landed
[statedef 18052]
type    = u
movetype= A
physics = n
velset = 0,0
ctrl = 0

[state 200, 1]
type = posset
trigger1 = 1
y = 0

[State 0, TargetBind]
type = TargetBind
triggerall = !ishelper
trigger1 = time= 0
time = 1
pos = 0,0
ignorehitpause = 1


[State 0, TargetState]
type = TargetState
triggerall = !ishelper
trigger1 = time = 0
value = 2116
ignorehitpause = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = time = 0
value = -ceil(ifelse(fvar(11)*50<10, 10, fvar(11)*50))
kill = 1
ignorehitpause = 1

[State -2, heavy Ground Impact Dust]
type = Helper
trigger1=animelem =1
stateNo = 8112
ID = 8112
name = "Heavy Ground Impact Dust"
posType = P2
facing = -1
pos = 0,20
ownPal = 0
ignorehitpause=1
persistent = 0
scale = 1,1

[state 52, 1]
type = changeanim
trigger1 = time = 0
value = 2106

[state 52, playsnd]
type = playsnd
trigger1 = animelem = 1
value = s1,5
channel = 3

[State 0, EnvShake]
type = EnvShake
trigger1 = time = 0
time = 5
freq = 60
ampl = -8
 
[state 52, Dust]
type = explod
trigger1 = time = 2
anim = 6007
id = 6007
postype = p1
pos = 0,0
ownpal = 1
bindtime = 1
sprpriority = -2
persistent = 0
removeongethit = 0

[State 0, Hitspark Explod]
type = Explod
trigger1 = animelem= 1
anim = (var(33):=8011)
pos = 0,-10
postype = p2  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 5
vel = 0,0
accel = 0,0
random = 0,0
removetime = 5
pausemovetime = 0
scale = 1,1
sprpriority = 0
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

[state 52, 5]
type = targetstate
triggerall = numtarget
trigger1 =target, alive = 1
trigger1 = animtime = 0
value = 18007
ignorehitpause =0


[state 52, 5]
type = changestate
trigger1 = animtime = 0
value =cond(target, alive = 1, 18053, 2107)
ctrl = 0
ignorehitpause =0

;spin to win
[STATEDEF 18053]
type = S
physics = N
movetype = A
ctrl = 0
velset = 0, 0
sprpriority = 1
poweradd = 0
faceP2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 1
value = S1,2
channel = 3


[State 0, PlaySnd]
type = PlaySnd
trigger1 = time%3 
trigger1=  time < 37
value = S0,6
channel = 2

[State 0, Hitspark Explod]
type = Explod
trigger1 =numexplod(125177) <= 2
trigger1 = time%3 
trigger1=  time < 37
anim = (var(33):=8011)
pos = 0,0
ID  =125177
postype = p2  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 5
vel = 0,0
accel = 0,0
random = 0,0
removetime = 5
pausemovetime = 0
scale = 1,1
sprpriority = 0
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

[State 0, Helper]
type = Helper
trigger1 = time = 1
trigger1 = numhelper(37499) = 0
helpertype = normal ;player
name = "tornado guard"
ID = 37499
stateno =37499 
pos = 0,0
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999

[State 0, TargetBind]
type = TargetBind
trigger1 = 1
time = 1
pos = 0,0


[State 0, HitAdd]
type = HitAdd
trigger1 = time%3 
trigger1=  time < 37
value = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = time%3 
trigger1=  time < 37
value = -5
kill = 1

[state 52, 5]
type = targetstate
triggerall = numtarget
trigger1 = time =0
value = 18007
ignorehitpause =0

[State 220, Anim]
type=changeanim
trigger1=!time
value=2901

[State 220,Posset]
type=posset
trigger1=!time
y=0


[STATE 2900,NOT HIT BY]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1


[State 220, 5]
type = ChangeState
trigger1 = time >= 40;!AnimTime
value = 18505
ctrl = 1

; 
[Statedef 18505]
type    = A
movetype= I
physics = N
velset = 0, 0
anim = 110 ;105
ctrl = 0
sprpriority = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1

[state 52, 5]
type = targetstate
triggerall = numtarget
trigger1 = time =0
value = 1262

[State 105, Snd]
type = playsnd
trigger1 = animelem = 2
value = 105,0

[State 905, AfterImage]
type = afterimage
trigger1 = abs(vel x) >= 0 && time%10 = 1;!animtime
time = 5
timegap = 5
framegap = 1
length = 3
palbright = 0, 0, 0
palcontrast = 128, 128, 128
palpostbright = 0, 0, 0
paladd = 0, 0, 0
palmul = 0.9, 0.9, 0.9
trans = add1

[State 105, Dust]
type = helper
trigger1 = animelem = 2
stateno = 8103
ID = 8103
name = "Dash Dust"
postype = p1
facing = -1
pausemovetime = 255
supermovetime = 255
ownpal = 1

[State 105, Vel]
type = velset
trigger1 = animelem = 2
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 105, 1]
type = VelMul
trigger1 = AnimElemTime(2) > 0
x = .98

[State 105, 1]
type = VelAdd
trigger1 = AnimElemTime(2) > 0
y = 0.75

[State 110, Type]
type = StateTypeSet
trigger1 = AnimElemTime(2) >= 0
stateType = A
physics = N

[State 105, Land]
type = changestate
trigger1 = animelemtime(2) >= 0
trigger1 = pos y > -vel y
value = 106

[Statedef 18007, spin target grounded]
type    = L
movetype= H
physics = N

[State 0, VelSet]
type = VelSet
trigger1 =1 
x = 0
y = 0

[State 1830]
type = ChangeAnim2
Trigger1 = Time = 0
value = 18888

[State 0, SelfState]
type = SelfState
trigger1 =time >= 50
value =5100

[State 5100, PalFX]
type = PalFX
trigger1 = time = 0
time = 1

[Statedef 18051, drill target hit]
type    = A
movetype= H
physics = N

[State 1830]
type = ChangeAnim2
Trigger1 = Time = 0
value = 878

[State 0, SelfState]
type = SelfState
trigger1 =time >= 50
value =5100

[State 5100, PalFX]
type = PalFX
trigger1 = time = 0
time = 1

;Triple Kick 1
[Statedef 18000]
type    = A
movetype= A
physics = U
juggle  = 0
ctrl = 0
velset = 0,0
anim = 1053
facep2 = 1
sprpriority = 2



[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
trigger1 = time = 0
value =18011
ID = -1

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =1
trigger2 = animelem =7
trigger3 = animelem =8
trigger4 = animelem =9
trigger5 = animelem =15
trigger6 = animelem =16
trigger7 = animelem =22
trigger8 = animelem =23
trigger9 = animelem =24
time = 1
pos = 0,-5;-30,0

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =2
trigger2 = animelem =10
trigger3 = animelem =17
time = 1
pos = 79,-151


[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =3
trigger2 = animelem =11
trigger3 = animelem =18
time = 1
pos = 43,-183

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =4
trigger2 = animelem =12
trigger3 = animelem =19
time = 1
pos = -19,-184

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =5
trigger2 = animelem =13
trigger3 = animelem =20
time = 1
pos = -81,-137

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =6
trigger2 = animelem =14
trigger3 = animelem =21
time = 1
pos = -99,-93

[State 0, TargetBind]
type = hitadd
trigger1 = animelem =7
trigger2 = animelem =15
trigger3 = animelem =23
value = 1


[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1

[State 105, Snd]
type = playsnd
trigger1 = anim = 110
trigger1 = animelem = 2
value = 105,0

[State 105, Dust]
type = helper
trigger1 = animelem =2
trigger2 = animelem =10
trigger3 = animelem =17
stateno = 8103
ID = 8103
name = "Dash Dust"
postype = p1
facing = -1
pausemovetime = 255
supermovetime = 255
ownpal = 1


[State 900, AfterImage]
type = afterimage
trigger1 = !animtime
time = 2
timegap = 1
framegap = 4
length = 13
palbright = 0, 0, 0
palcontrast = 64, 128, 192
palpostbright = 0, 0, 0
paladd = 0, 0, 0
palmul = 0.75, 0.75, 0.75
trans = add1


;ha
[State 40, Snd]
type = playsnd
trigger1 =  animelemtime(1) = 0
value = 13,random%3

;whoosh
[State 40, Snd]
type = playsnd
trigger1 =  animelemtime(5) = 0
value = 0, 3

[State 920]
type = Posset
trigger1 = animelem =1
trigger2 = animelem =7
trigger3 = animelem =8
trigger4 = animelem =9
trigger5 = animelem =15
trigger6 = animelem =16
trigger7 = animelem =23
y = 0

[State 920]
type = velset
trigger1 = animelem =1
x = 0
y = 0
ignorehitpause = 1


[State 920]
type = velset
trigger1 = animelem =7
trigger2 = animelem =8
trigger3 = animelem =9
trigger4 = animelem =15
trigger5 = animelem =16
trigger7 = animelem =22
trigger6 = animelem =23
x = -2.5

[State 0, VelSet]
type = VelSet
trigger1 = animelem =2
trigger2 = animelem =10
y = -4
x = -2


[State 0, VelSet]
type = Velset
trigger1 = animelem =17
trigger2 = animelem =18
y = -8
x = -5


[State 0, VelSet]
type = Veladd 
trigger1 = animelem =3
trigger2 = animelem =4
trigger3 = animelem =11
trigger4 = animelem =12
y = 2
x = -7


[State 0, VelSet]
type = Veladd 
trigger1 = animelem =19
trigger2 = animelem =20
trigger3 = animelem =21
trigger5 = animelem =22
y = 3
x = -8



[State 0, VelSet]
type = Velset
trigger1 = animelem =23
y = 0
x = 0


[State 0, 1]
type = Explod
trigger1 = animelem =2
trigger2 = animelem =10
trigger3 = animelem =17
anim = 629
pos = 0,-10
postype = p1
bindtime = -1
ID = 627
sprpriority = 5
removeongethit = 1
ignorehitpause = 0
ontop = 1
ownpal = 1 
scale = 1,1
trans = add
ignorehitpause =1


[State 0, Changestate]
type = Changestate
trigger1 = anim = 1052
trigger1 = !animtime 
value = 18002





;Triple Kick 2
[Statedef 18001]
type    = A
movetype= A
physics = U
juggle  = 0
ctrl = 0
velset = 0,0
anim = 1053
facep2 = 1
sprpriority = 2



[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
trigger1 = time = 0
value =18011
ID = -1

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =1
trigger2 = animelem =7
trigger3 = animelem =8
trigger4 = animelem =9
trigger5 = animelem =15
trigger6 = animelem =16
trigger7 = animelem =22
trigger8 = animelem =23
trigger9 = animelem =24
time = 1
pos = 0,-5;-30,0

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =2
trigger2 = animelem =10
trigger3 = animelem =17
time = 1
pos = 79,-151


[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =3
trigger2 = animelem =11
trigger3 = animelem =18
time = 1
pos = 43,-183

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =4
trigger2 = animelem =12
trigger3 = animelem =19
time = 1
pos = -19,-184

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =5
trigger2 = animelem =13
trigger3 = animelem =20
time = 1
pos = -81,-137

[State 0, TargetBind]
type = TargetBind
trigger1 = animelem =6
trigger2 = animelem =14
trigger3 = animelem =21
time = 1
pos = -99,-93

[State 0, TargetBind]
type = hitadd
trigger1 = animelem =7
trigger2 = animelem =15
trigger3 = animelem =23
value = 1

[State 0, TargetBind]
type = hitadd
trigger1 = animelem =7
trigger2 = animelem =15
trigger3 = animelem =23
value = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1

[State 105, Snd]
type = playsnd
trigger1 = anim = 110
trigger1 = animelem = 2
value = 105,0

[State 105, Dust]
type = helper
trigger1 = animelem =2
trigger2 = animelem =10
trigger3 = animelem =17
stateno = 8103
ID = 8103
name = "Dash Dust"
postype = p1
facing = -1
pausemovetime = 255
supermovetime = 255
ownpal = 1


[State 900, AfterImage]
type = afterimage
trigger1 = !animtime
time = 2
timegap = 1
framegap = 4
length = 13
palbright = 0, 0, 0
palcontrast = 64, 128, 192
palpostbright = 0, 0, 0
paladd = 0, 0, 0
palmul = 0.75, 0.75, 0.75
trans = add1


;ha
[State 40, Snd]
type = playsnd
trigger1 =  animelemtime(1) = 0
value = 13,random%3

;whoosh
[State 40, Snd]
type = playsnd
trigger1 =  animelemtime(5) = 0
value = 0, 3

[State 920]
type = Posset
trigger1 = animelem =1
trigger2 = animelem =7
trigger3 = animelem =8
trigger4 = animelem =9
trigger5 = animelem =15
trigger6 = animelem =16
trigger7 = animelem =23
y = 0

[State 920]
type = velset
trigger1 = animelem =1
x = 0
y = 0
ignorehitpause = 1


[State 920]
type = velset
trigger1 = animelem =7
trigger2 = animelem =8
trigger3 = animelem =9
trigger4 = animelem =15
trigger5 = animelem =16
trigger7 = animelem =22
trigger6 = animelem =23
x = -2

[State 0, VelSet]
type = VelSet
trigger1 = animelem =2
trigger2 = animelem =10
y = -4
x = -3


[State 0, VelSet]
type = Velset
trigger1 = animelem =17
trigger2 = animelem =18
y = -8
x = -3


[State 0, VelSet]
type = Veladd 
trigger1 = animelem =3
trigger2 = animelem =4
trigger3 = animelem =11
trigger4 = animelem =12
y = 2
x = -2


[State 0, VelSet]
type = Veladd 
trigger1 = animelem =19
trigger2 = animelem =20
trigger3 = animelem =21
trigger5 = animelem =22
y = 3
x = -2



[State 0, VelSet]
type = Velset
trigger1 = animelem =23
y = 0
x = 0


[State 0, 1]
type = Explod
trigger1 = animelem =2
trigger2 = animelem =10
trigger3 = animelem =17
anim = 629
pos = 0,-10
postype = p1
bindtime = -1
ID = 627
sprpriority = 5
removeongethit = 1
ignorehitpause = 0
ontop = 1
ownpal = 1 
scale = 1,1
trans = add
ignorehitpause =1


[State 0, Changestate]
type = Changestate
trigger1 = anim = 1053
trigger1 = !animtime 
value = 18002



;Triple Kick 3
[Statedef 18002]
type=S
physics=s
movetype=A
ctrl=0
velset=0,0
sprpriority=3
facep2=1
anim = 915

[State 106, Pos]
type = posset
trigger1 = 1
y = 0

;setup for backwards
[State 0, TargetState]
type = TargetState
trigger1 = animelem = 1
value =918


;911 = base toss 
[State 801, TargetBind]
type = TargetBind
trigger1 = animelem = 1
time = 1
pos = 35, -160

 
[State 801, TargetBind]
type = TargetBind
trigger1 = animelem = 2
time = 1
pos = -15, -159

 [State 0, Turn]
type = Turn
trigger1 = animelem = 3


[State 801, TargetBind]
type = TargetBind
trigger1 = animelem = 3
time = 1
pos = 25, -163

;911 = base toss 
[State 801, TargetBind]
type = TargetBind
trigger1 = animelemtime(4) = 1
time = 1
pos = 120, -185

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = animelem = 3
value = -40
kill = 1

[State 0, HitAdd]
type = HitAdd
trigger1 = animelem = 3
value = 1


[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 2
value = S12,1
channel = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 3
value = S0,3
channel = 3

[State 0, TargetState]
type = TargetState
triggerall = NumTarget
trigger1 =animelem = 4
value =919

[State 0, ChangeState]
type = ChangeState
trigger1 = !animtime
value =0
ctrl = 1




;Triple bound
[Statedef 18010]
type = S
movetype = H
physics = S
anim = 5300
ctrl = 0
velset = 0,0



[state 231, stand]
type = statetypeset
trigger1 = statetype != S && pos y >= 0
statetype = S
physics = S

[state 231, stopvel]
type = velset
trigger1 = statetype = S 
trigger1 = time < 2
x = 5
y = 0

[state 231, stopvel]
type = velset
trigger1 = statetype = S 
trigger1 = time >= 3
x = 0
y = 0

[state 231, ypos]
type = posset
trigger1 = 1
y = 0

[state 231, end]
type = selfstate
trigger1 = time >= 180
trigger1 = statetype = S
value = 0
ctrl = 1


;Triple bound hyper
[Statedef 18011]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0,0

[State 0, LifeAdd]
type = LifeAdd
trigger1 = time = 29
value = -lifemax/(10+random%10)
kill = 0
absolute = 1

[State 0, LifeAdd]
type = LifeAdd
trigger1 = time = 64
value = -lifemax/(10+random%5)
kill = 0
absolute = 1


[State 0, LifeAdd]
type = LifeAdd
trigger1 = time = 95
value = -lifemax/(5+random%5)
kill = 0
absolute = 1



[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = time = 0
value = 21181

;Triple bound 2
[Statedef 18012]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0,0

[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = time = 0
value = 2118


;close combat quake helper
[Statedef 32005]
type    = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 3000
facep2 = 1
sprpriority = 2

[State 0, PosSet]
type = PosSet
trigger1 = 1
y = 10

[State 5000, PlaySnd]
type = PlaySnd
trigger1 = time =0
channel = 2
value = 1,5
loop = 0
volumescale = 255
ignorehitpause =1 
persistent = 0

[State 8110, FX]
type = explod
trigger1 = !time 
anim = 8062
ID = 2
postype = p1
removetime = -2
sprpriority = 4
pausemovetime = -1
supermovetime = -1

[State 8110, Scale]
type = modifyexplod
trigger1 = 1
scale = 2 + (0.03125 * time), .5 + (0.03125 * time)
;trans = addalpha
;alpha = ifelse(time < 4, 256, 256 -(64 * (time -4))), 256

[State 8110, End]
type = removeexplod
trigger1 = time >= 54

[State 0, HitDef]
type = HitDef
trigger1 = !time 
attr = S,HA        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
hitflag = MAFD       ;HLAFD+-
guardflag = MA         ;HLA
animtype = hard          ;light,medium,hard,back,up,diagup
air.animtype = light
damage = ifelse(root,fvar(11)*80 < 40,40,root,fvar(11)*80),20
pausetime = 0 ,0
sparkno = S1
guard.sparkno = S1
hitsound = S0,7
guardsound = S3,1
kill = 0

[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
trigger1 =movehit 
value =33010


[State 0, DestroySelf]
type = DestroySelf
trigger1 = time >= 54


;close combat charge
[Statedef 32000]
type    = S
movetype= A
physics = S
ctrl = 0
velset = 8,0
anim = 3021
facep2 = 1
sprpriority = 2
poweradd = -3000


[State 3000, Superpause]
type = superpause
trigger1 = animelem = 4
time = 32
movetime = 32
p2defmul = 1
unhittable = 1
anim = -1
sound = s8500,0
darken = 1

[State 0, VelAdd]
type = Velset
trigger1 = anim = 3021
trigger1 =animelemtime(5) >= 0
x = 25


[State 905, AfterImage]
type = afterimage
trigger1 = stateno = 32000
trigger1 = abs(vel x) >= 0 && time%10 = 1;!animtime
time = 4
timegap = 4
framegap = 1
length = 4
palbright = 0, 0, 0
palcontrast = 64, 128, 192
palpostbright = 0, 0, 0
paladd = 0, 0, 0
palmul = 0.75, 0.75, 0.75
trans = add1



;whoosh
[State 40, Snd]
type = playsnd
trigger1 = anim = 3021
trigger1 =animelem = 5
value = 1, 17


[State 0, SuperPause]
type = SuperPause
trigger1 = animelem = 4
time = 10
anim = 1
sound = S5000,0
pos = 0,0
movetime = 0
darken = 1
p2defmul = 1
poweradd = 0
unhittable = 1


[State 0, Helper]
type = Helper
triggerall = numhelper(32005) = 0
trigger1 = animelem = 4
helpertype = normal ;player
name = "quake"
ID = 32005
stateno = 32005
pos = 0,10
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 9999
pausemovetime = 9999


;enraged
[State 0, Explod]
type = Explod
triggerall = !numexplod(32111)
trigger1 = life <=lifemax/3 || prevstateno = 766 || prevStateNo = 150 || prevStateNo = 152
anim = 1
ID = 32111
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 0,0
removetime = 9999
pausemovetime = 0
scale = 1,1
removeongethit = 1



[State 0, Explod]
type = Explod
triggerall = !numexplod(17401)
trigger1 = time = 0
anim = 1
ID = 17401
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 0,0
removetime = 9999
pausemovetime = 0
scale = 1,1
removeongethit = 1


[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
trigger1 = numexplod(32111)
value = S11,0
channel = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 3
trigger1 = !numexplod(32111)
value = S13,3
channel = 1


[State 600, Hit]
type=hitdef 
trigger1= !time
forcenofall = 1
forcestand = 1
attr = S,HA
hitflag = MAFD
guardflag = MA
damage = ceil(ifelse(fvar(11)*50<20, 20, fvar(11)*50)), 15
getpower = 0,0
givepower =floor(fvar(11) * 36) , floor(fvar(11) * 36)
pausetime = 0,0
guard.pausetime = 10,5
animtype = Light
air.animtype = back
fall.animtype = Back
ground.type = High
air.type = Low
ground.hittime = 32 
ground.slidetime = 32
guard.hittime = 12
air.hittime = 250
airguard.ctrltime = 25
ground.velocity = -5,0
ground.cornerPush.velOff = 0
guard.velocity = -5
guard.cornerPush.velOff = 0
air.velocity = -5,3
air.cornerPush.velOff = 0
airguard.velocity = -8, -2
airguard.cornerPush.velOff = 0
kill = 0

[State 0, HitBy]
type = notHitBy
trigger1 =time <= 5
trigger2 = movehit
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1
ignorehitpause = 1

[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
trigger1 = movehit 
value =33010


[State 0, VelAdd]
type = VelAdd
trigger1 = anim = 3011
trigger1 = vel x >= 0
x = -.5

[State 0, VelAdd]
type = Velset
trigger1 = vel x < 0
x = 0


[State 0, ChangeAnim]
type = ChangeAnim
triggerall = anim = 3021
trigger1 = animtime = 0
trigger2 = moveguarded
value = 3011

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = anim = 3011
movetype = I        ;I,A,H

[State 1100, ChangeState]
type = ChangeState
triggerall = anim = 3011
trigger1 = animtime = 0
value = 0
ctrl = 1

[State 1100, ChangeState]
type = ChangeState
triggerall = numhelper
triggerall = numhelper(32005)
trigger1 = helper(32005), movehit
trigger1 = animelem >=5
value = 32001
ctrl = 0


[State 1100, ChangeState]
type = ChangeState
trigger1 = movehit
value = 32001
ctrl = 0



;close combat uppercut
[Statedef 32001]
type    = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 3022
facep2 = 1
sprpriority = 2



;whosh
[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 2
value = S2,5
volumescale = 0
channel = -1

[State 0, Explod]
type = Explod
trigger1 = animelem =2
anim = 3024
ID = 3024
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -2
pausemovetime = 0
scale = 1,1
sprpriority = 5
removeongethit = 1
trans= add


[State 440, Hit]
type=hitdef
trigger1= !time 
ID = 480
attr = C,NA
hitflag = MAF
guardflag = M
damage = 20, 10
getpower = 0,0
givepower = 50, 50
pausetime = 8,8
guard.pausetime = 8,4
animtype = Hard
air.animtype = Back
fall.animtype = Back
ground.type = Trip
air.type = Trip
ground.hittime = 18 + 4*var(9)
ground.slidetime = 18 + 4*var(9)
guard.hittime = 4
air.hittime = 120
ground.velocity = -.5, -15
ground.cornerPush.velOff = 0
guard.velocity = -5.25
guard.cornerPush.velOff = 0
air.velocity = -.5, -15
air.cornerPush.velOff = 0
yAccel = 0.338
fall = 1
fall.recover = 0
fall.recoverTime = 120
hitsound = s0,7
guardsound = s0,10
sparkno = -1 + 0*(var(33):=8012)
guard.sparkno = -1 + 0*(var(34):=8000)
sparkxy = -10 + 0*(var(35):=120), var(36):=-50



[State 0, Helper]
type = Helper
trigger1 =movehit
trigger1 = numhelper(37498) = 0
helpertype = normal ;player
name = "tornado"
ID = 37498
stateno =37498
pos = 0,0
postype = p2    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999





;targetstate flying
[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
trigger1 =movehit
value =33011

[State 0, ChangeState]
type = ChangeState
trigger1 = !animtime && movecontact
value = 32003
ctrl = 0

[State 0, ChangeState]
type = ChangeState
trigger1 = !animtime && !movecontact
value = 0;32003
ctrl = 1

;close combat kick
[Statedef 32003]
type    = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 3023
facep2 = 1
sprpriority = 2

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 0, Explod]
type = Explod
trigger1 = animelem = 2
anim = 12000
ID = 1410
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
removetime = -2
pausemovetime = 0
scale = 1.25,1.25
sprpriority = 5
ontop = 1
ownpal = 0
removeongethit = 1
ignorehitpause = 1
trans = add


[State 810, •¨—“I‚ÈƒLƒƒƒ‰‚Ì•]
type = Width
trigger1 = 1
edge = 40,0

[State 170, –³“G]
type = NotHitBy
trigger1 = 1
value = SCA



[State 1000, ]
type = Velset
trigger1 = AnimElemtime(3) >= 4 && AnimElemtime(5) <= 0
x = 30

[State 1000, ]
type = Velset
trigger1 = AnimElem = 2
y = -5

[State 1000, ]
type = Veladd
trigger1 = AnimElemtime(5) >= 0
y = .54

[State 0, TargetBind]
type = TargetBind
trigger1 = time = 0
time = 1
pos = 150,-150


[State 0, Helper]
type = Helper
trigger1 = AnimElem = 5
trigger1 = numhelper(37499) = 0
trigger1 = numhelper(37498) 
helpertype = normal ;player
name = "tornado guard"
ID = 37499
stateno =37499 
pos = 0,0
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999



[State 6000, 3]
type = StateTypeSet
trigger1 = AnimElem = 2
statetype = A
 
[State 200, ƒqƒbƒg’è‹`]
type = HitDef
triggerall = numtarget
trigger1 = !time
attr = A, SA
damage = ceil(ifelse(fvar(11)*180<80, 80, fvar(11)*180)),60
getpower = 0,0
givepower = 40,40
animtype = up
guardflag = h
hitflag = MAF
getpower = 50
priority = 3, Hit
pausetime = 0, 80
ground.type = High
ground.slidetime = 20
ground.hittime  = 21
ground.velocity = -4.7,-8.4
air.type = High
air.velocity = -6,-2.5
air.hittime = 250
yaccel = .42
fall = 1
fall.recover = 0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
hitsound = s0,7
guardsound = s3,2
sparkno = -1 + 0*(var(33):=8012)
guard.sparkno = -1 + 0*(var(34):=8000)
sparkxy = -10 + 0*(var(35):=64), var(36):=-80
kill = !target,stateno = [33010,33012]


[State 0, Explod]
type = Explod
trigger1 = movehit
anim = 1
ID = 2212
pos = 0,0
postype = p1  ;p2,front,back,left,right
removetime = 50
pausemovetime = 0
scale = 1,1
removeongethit = 0



[State 1000, ƒXƒe[ƒg•ÏX]
type = ChangeState
trigger1 = numexplod(2212) && AnimElemtime(10) >= 0
value = cond((life <= lifemax/3) || (p2life <= 250) || palno = 12 ,21000,2100)



[State 1000, ƒXƒe[ƒg•ÏX]
type = ChangeState
triggerall = AnimElemtime(10) >= 0
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 1202

;piercing kick with high damage and kill potin
;dragon kick fx
;sound
;change to landing state
;target goes flying up and released


;targetstate flying
[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
trigger1 =movehit
value =33012


[State 0, ChangeState]
type = ChangeState
trigger1 = !animtime
value = 50
ctrl = 1




;Stun Target
[statedef 33010]
Type = S
MoveType = H
Physics = S
VelSet = 0,0
Ctrl = 0

[State 3020, ]
Type = DestroySelf
Trigger1 = IsHelper
IgNoreHitPause = 1


[State 3020,1]
Type = ChangeAnim2
Trigger1 = Time = 0
Value = 3026

[State 3020,1]
Type = SelfState
Trigger1 = time = 8
Value = 0
Ctrl = 1


[Statedef 33011, launcher 1]
type    = A
movetype= H
physics = N
facep2 = 1

[State 0, VelSet]
type = VelSet
trigger1 = time = 0
y = -8

[State 52, 1]
type = Veladd
trigger1 = time = 0
y = -.7

[State 52, 1]
type = Veladd
trigger1 = time = 1
y = -1

[State 0, VelSet]
type = VelSet
trigger1 = 1
x = -2


[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
 

[State 52, 2]
type = Veladd
trigger1 =  1
y = .85

[state 5050, Change Animation]
type = changeanim
trigger1 = !animtime && anim = 5035
trigger2 = !time && anim != 5035
trigger2 = (anim != [5051, 5059]) && (anim != [5061, 5069]) && anim != [5090, 5099]
value = 5050

[state 5050, Change Animation]
type = changeanim
trigger1 = anim = [5050, 5059]
trigger1 = vel y >= cond(anim = 5050, const720p(4), const720p(-8))
trigger1 = selfanimexist(anim + 10)
value = anim + 10
persistent = 0


[state 5050, End State]
type = changestate
trigger1 = vel y > 0
trigger1 = pos y >= cond((anim = [5051, 5059]) || (anim = [5061, 5069]), 0, const(movement.air.gethit.groundlevel))
value = 5100


[State 1830]
type = SelfState
trigger1 = Pos Y >= 0
trigger1 = Vel Y > 0
value = 5100

[Statedef 33012, launcher 2]
type    = A
movetype= H
physics = N
facep2 = 1

[State 0, VelSet]
type = VelSet
trigger1 = time = 0
y = -8

[State 52, 1]
type = Veladd
trigger1 = time = 0
y = -.7

[State 52, 1]
type = Veladd
trigger1 = time = 1
y = -1

[State 0, VelSet]
type = VelSet
trigger1 = 1
x = -8


[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
 

[State 52, 2]
type = Veladd
trigger1 =  1
y = .85

[state 5050, Change Animation]
type = changeanim
trigger1 = !animtime && anim = 5035
trigger2 = !time && anim != 5035
trigger2 = (anim != [5051, 5059]) && (anim != [5061, 5069]) && anim != [5090, 5099]
value = 5050

[state 5050, Change Animation]
type = changeanim
trigger1 = anim = [5050, 5059]
trigger1 = vel y >= cond(anim = 5050, const720p(4), const720p(-8))
trigger1 = selfanimexist(anim + 10)
value = anim + 10
persistent = 0


[state 5050, End State]
type = changestate
trigger1 = vel y > 0
trigger1 = pos y >= cond((anim = [5051, 5059]) || (anim = [5061, 5069]), 0, const(movement.air.gethit.groundlevel))
value = 5100


[State 1830]
type = SelfState
trigger1 = Pos Y >= 0
trigger1 = Vel Y > 0
value = 5100


;reflect guide
[Statedef 35499]
type    = S
movetype= I
physics = N
anim = 4064
sprpriority = 2
velset = 0,0
ctrl = 0

;timer
[State 0, VarSet]
type = VarSet
trigger1 = time = 0
v = 10    
value = 15

;timer reset
[State 0, VarSet]
type = VarSet
triggerall = numhelper  
triggerall = numhelper(35500)
trigger1 = helper(35500),stateno = 35502 
v = 10    
value = 200;150
ignorehitpause =1

[State 0, ChangeAnim]
type = ChangeAnim
triggerall = numhelper  
triggerall = numhelper(35501)
trigger1 = anim = 4064
value = 4065

[State 0, ChangeAnim]
type = ChangeAnim
triggerall = numhelper  
triggerall = numhelper(35501) = 0
trigger1 = anim = 4065
value = 4064




;timer countdown
[State 0, VarAdd]
type = VarAdd
trigger1 = 1
v = 10
value = -1

;timer
[State 0, VarSet]
type = VarSet
trigger1 = var(10) < 0
v = 10    
value = 0



[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 0, VelSet]
type = VelSet
trigger1 = anim = 4064
x = root,stateno = 225
ignorehitpause =1


[State 0, Turn]
type = Turn
trigger1 = facing != root,facing


[State 0, BindToParent]
type = BindToroot
trigger1 = root,stateno != 225
time = 1
pos = 75,-60
ignorehitpause = 1


[State 1502, 2]
type = PosSet
trigger1 = time = 0
x = cond(parent,facing = -1, (parent, pos x -50),(parent, pos x +50))


[State 1500, 3]
type = Helper
trigger1 =numhelper(35500) = 0
name = "Reflect Guard"
ID = 35500
stateno = 35500
pos = 0,0
postype = p1
ownpal = 1
persistent = 0
facing = 1
size.xscale =2
size.yscale = 2

[State 1204, 6]
type = changestate
trigger1 =  time >= 3
trigger1 =  var(10) = 0
trigger2 = roundstate != 2
trigger3 = root,alive = 0
value = 35504


;reflect guard
[Statedef 35500]
type    = S
movetype= A
physics = N
anim = 4061
sprpriority = 2
velset = 0,0
ctrl = 0

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1
persistent =1 


[state 0,0]
type = reversaldef
trigger1 = 1 
Reversal.Attr = SCA, AP
pausetime = 2,2;28,30
hitsound = S0,4
numhits = 0
sparkno = -1
sparkxy = 20,-30
p2stateno = 55556
p1stateno = 35502
ignorehitpause = 1

[State 0, BindToRoot]
type = BindToparent
trigger1 = numhelper(35499) 
time = 1
POS = 0,50

[State 0, NotHitBy]
type = HitBy
trigger1 = 1
value = SCA, AP
time = 1


[State 1502, 8]
type = hitoverride
trigger1 = 1
attr = SCA, AP
stateno = 35502
time = -1
slot = 0
ignorehitpause = 1


[State 0, ]
type = SprPriority
trigger1 = time >= 0
value = 2
ignorehitpause = 1


[State 0, DestroySelf]
type = DestroySelf
trigger1 = numhelper(35499) = 0
ignorehitpause = 1



;attack reflect helper
[Statedef 35501]
type = S
physics = N
movetype = A
anim = 4063
ctrl = 0

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 0, BindToRoot]
type = BindToparent
trigger1 = numhelper(35499) 
time = 9999
pos = 0,0

[State 1502, 6]
type = hitdef
;triggerall =numtarget
;triggerall = !(enemy,stateno = [893,895]) 
trigger1 = var(0) =0
attr = SCA, SA
damage = ceil((cond(root,fvar(11) * 40-(10*var(0)) < 10, 10, root,fvar(11) * 40-(10*var(0))))*cond((root,var(10)=1),2,1)), 35
hitflag = MAF
guardflag = MA
animtype = Hard
ground.type = low
pausetime = 90,45
guard.pausetime = 50,5
sparkno = -1;1;hard1
guard.sparkno = 40;50;hard
sparkxy = -20,-100
hitsound = S500,4
guardsound = S0,10
ground.velocity = -14,-3
ground.cornerpush.veloff = 0
air.velocity = -14,-3
air.cornerpush.veloff = 0
fall = 1
fall.recover = 0
guard.velocity = -12
Ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
Guard.cornerpush.veloff = 0
guard.slidetime = 5
guard.hittime = 5
getpower = 47,47
givepower = 50,20
fall.yvelocity = -3.4
guard.slidetime = 22
guard.hittime = 44
guard.ctrltime = 44
yaccel = .333
persistent = 0
palfx.add = 100,100,180
palfx.mul = 256,256,256
palfx.sinadd = -80,-80,-80,10
palfx.time = 40
palfx.invertall = 1
palfx.color = 0
numhits =1
p2stateno =  55556
ignorehitpause	= 0
persistent = 0
guard.dist = 150





[State 1050, VarAdd]
type = VarAdd
triggerall = ishelper(35501)
trigger1 = movecontact = 1 
var(0) = 1


[State 0, ParentVarAdd]
type = ParentVarAdd
trigger1 = movehit = 1
v = 15    
value = 1




[State 0, ChangeState]
type = ChangeState
trigger1 = movecontact
trigger1 = var(0) = 1
value =35501
ctrl = 0


[State 0, DestroySelf]
type = DestroySelf
trigger1 = numhelper(35499) = 0
trigger2 = numhelper(35499)
trigger2 = helper(35499),stateno = 35504
ignorehitpause = 0
;






;R shock ranged
[Statedef 35502]
type = S
physics = N
movetype = A
anim = 4062
ctrl = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,10

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = numhelper(35501) = 0
helpertype = normal ;player
name = "nix helpers"
ID = 35501
stateno = 35501
pos = 0,0
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 0
pausemovetime = 0



[State 1204, 6]
type = changestate
trigger1 = time = 0
value = 35500

;reflector fade
[Statedef 35504]
type = S
physics = N
movetype = I
anim = 4060
ctrl = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,32

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 0, AngleDraw]
type = AngleDraw
trigger1 = time = [1,10]
value = 1
scale = 1,1 * 11/(11-time)


[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 10


;Tornado fx only
[Statedef 37498]
type    = S
movetype= I
physics = N
anim = 1;1018
sprpriority = 5
velset = 0,0
ctrl = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S1,24
volumescale = 255
channel = 4


[state ]
type=explod
trigger1=time = 0
id=2208
anim=1018
trans=addalpha
;alpha=256,256
facing=-1
vfacing=1
scale=1.2,1.5
sprpriority=90
ontop=0
ownpal=1
supermove=0
pausemovetime=0
supermovetime=0
removetime=50
removeongethit=1
pos=0,0
postype=p1
random=0,0
bindtime=9999
vel=0,0
accel=0,0
ignorehitpause=0


[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 1502, 2]
type = PosSet
trigger1 = time = 0
y = -10


[State 1204, 6]
type = destroyself
trigger1 =  time >= 50



;Tornado guide block
[Statedef 37499]
type    = S
movetype= I
physics = N
anim = 1;1018
sprpriority = 5
velset = 0,0
ctrl = 0

;timer
[State 0, VarSet]
type = VarSet
trigger1 = time = 0
trigger2 = root,stateno = 32003
trigger3 = root,stateno = 18053
trigger4 = root,stateno = 2901
v = 10    
value = 500

;timer reset
[State 0, VarSet]
type = VarSet
triggerall = numhelper  
triggerall = numhelper(37500)
trigger1 = helper(37500),stateno = 37502 
v = 10    
value = 500;150
ignorehitpause =1

;ƒGƒtƒFƒNƒgB
[state ]
type=explod
trigger1=time = 0
trigger2 = var(10) 
trigger2 = numexplod(2205) = 0
id=2205
anim=1018
trans=addalpha
;alpha=256,256
facing=-1
vfacing=1
scale=1,1
sprpriority=90
ontop=0
ownpal=1
supermove=0
pausemovetime=0
supermovetime=0
removetime=var(10)
removeongethit=1
pos=0,0
postype=p1
random=0,0
bindtime=9999
vel=0,0
accel=0,0
ignorehitpause=0

;timer countdown
[State 0, VarAdd]
type = VarAdd
trigger1 = 1
v = 10
value = -1

;timer
[State 0, VarSet]
type = VarSet
trigger1 = var(10) < 0
v = 10    
value = 0


[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 0, Turn]
type = Turn
trigger1 = facing != root,facing


[State 0, BindToParent]
type = BindToroot
trigger1 = 1
time = 1
pos = 0,0
ignorehitpause = 1


[State 1502, 2]
type =null; PosSet
trigger1 = time = 0
x = cond(parent,facing = -1, (parent, pos x ),0


[State 1500, 3]
type = Helper
trigger1 =numhelper(37500) = 0
name = "Tornado Guard"
ID = 37500
stateno = 37500
pos = 0,0
postype = p1
ownpal = 1
persistent = 0
facing = 1
size.xscale =2
size.yscale = 2

[State 210, RemoveExplod]
type = RemoveExplod
trigger1 =  time >= 3
trigger1 =  var(10) = 0
trigger2 = roundstate != 2
trigger3 = root,alive = 0
id = 2205
ignorehitpause = 1

[State 1204, 6]
type = destroyself
trigger1 =  time >= 3
trigger1 =  var(10) = 0
trigger2 = roundstate != 2
trigger3 = root,alive = 0
;value = 37504


;tornado guard
[Statedef 37500]
type    = S
movetype= I
physics = N
anim = 4033
sprpriority = 2
velset = 0,0
ctrl = 0

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1
persistent =1 



[State 0, BindToRoot]
type = BindToparent
triggerall = numhelper
trigger1 = numhelper(37499) 
time = 1
POS = 0,0

[State 0, NotHitBy]
type = HitBy
trigger1 = 1
value = SCA, AP
time = 1


[State 1502, 8]
type = hitoverride
trigger1 = 1
attr = SCA, AP
stateno = 37502
time = -1
slot = 0
ignorehitpause = 1


[State 0, ]
type = SprPriority
trigger1 = time >= 0
value = 2
ignorehitpause = 1


[State 0, DestroySelf]
type = DestroySelf
trigger1 = numhelper(37499) = 0
ignorehitpause = 1


[State 0, DestroySelf]
type = DestroySelf
triggerall = numhelper
trigger1 = !numhelper(37499)
ignorehitpause = 1



;reload blocker
[Statedef 37502]
type = S
physics = N
movetype = A
anim = 4033
ctrl = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,10

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0
ignorehitpause = 1

[State 0, HitBy]
type = notHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1


[State 0, DestroySelf]
type = DestroySelf
triggerall = numhelper
trigger1 = !numhelper(37499)
ignorehitpause = 1


[State 1204, 6]
type = changestate
trigger1 = 1
value = 37500
ignorehitpause = 1













[Statedef 55555]
type    = U
movetype= H
physics = N
juggle  = 0
velset = 0,0
ctrl = 0

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = ishelper
id = -1
ignorehitpause = 1

[State 0, DestroySelf]
type = DestroySelf
triggerall= ishelper
trigger1 = 1

[State 0, VelSet]
type = Veladd
trigger1 = 1
x = -1
y = .25


[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = 1
value = cond(statetype = a, 11111,11112)

[State 0, PosSet]
type = PosSet
trigger1 = pos y >= 0
y = 0



;selfstate free on land
[State 1830]
type = SelfState
trigger1 = time = 10
trigger1 = !ishelper
value = cond(pos y >= 0, 5001,5030)
ctrl= 1



[State 0, DestroySelf]
type = DestroySelf
triggerall= ishelper
trigger1 = 1



;nulled reflector1
[Statedef 55556]
type    = U
movetype= H
physics = N
juggle  = 0
velset = 0,-8
ctrl = 0

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = ishelper
id = -1
ignorehitpause = 1

[State 0, DestroySelf]
type = DestroySelf
triggerall=ishelper
trigger1 = time= 0



[State 0, PalFXWiz]
type = PalFX
trigger1 = 1
time = 120
add = 0,100,50
mul = 20,88,24
sinadd = 85,110,55,10
invertall = 0
color = 0



[State 0, VelSet]
type = Veladd
trigger1 = Time <= 3
x = .01
y = -.33

[State 0, VelSet]
type = Veladd
trigger1 = time >=4
x = -.01
y = .4

[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = vel y <= 0
value =  11111 


[State 0, PosSet]
type = PosSet
trigger1 = pos y >= 0
y = 0

[State 1830]
type = SelfState
trigger1 = Vel Y > 0
value = 5050
ctrl =0




;nulled reflector2
[Statedef 55557]
type    = U
movetype= H
physics = N
juggle  = 0
velset = 0,-8
ctrl = 0

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = ishelper
id = -1
ignorehitpause = 1

[State 0, DestroySelf]
type = DestroySelf
triggerall=ishelper
trigger1 = time= 0



[State 0, PalFXWiz]
type = PalFX
trigger1 = 1
time = 120
add = 0,100,50
mul = 20,88,24
sinadd = 85,110,55,10
invertall = 0
color = 0

[State 0, VelSet]
type = Veladd
trigger1 = Time <= 3
x = .01
y = -.33

[State 0, VelSet]
type = Veladd
trigger1 = time >=4
x = -.01
y = .4

[State 0, ChangeAnim2]
type = ChangeAnim2
trigger1 = vel y <= 0
value =  11111 

[State 0, DestroySelf]
type = DestroySelf
triggerall= ishelper
trigger1 = 1


[State 0, PosSet]
type = PosSet
trigger1 = pos y >= 0
y = 0

;selfstate free on land
[State 1830]
type = SelfState
trigger1 = time = 35
trigger1 = !ishelper
value = cond(pos y >= 0, 5001,5030)
ctrl= 1


; call sub
[Statedef 7777]
type    = A
movetype= I
physics = N
velset = 0, 0
anim = 110 ;105
ctrl = 0
sprpriority = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1


[State 105, Snd]
type = playsnd
trigger1 = animelem = 2
value = 105,0

[State 0, Helper]
type = Helper
triggerALL =numhelper(7050) = 0
trigger1 = animelem = 2
helpertype = normal ;player
name = "sub"
ID = 7050
stateno = 7050
pos = 0,-50
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 9999
pausemovetime = 9999
size.xscale = .10
size.yscale = .10
ignorehitpause = 1

[State 770, Max Meter V2]
type = Helper
helpertype = Normal
trigger1 = Animelemtime(2) <= 2 && !NumHelper(780)
id = 780
pos = 0,0
postype = left
name = "Sub Meter"
stateno = 780
ignorehitpause = 1
ownpal = 1
ignorehitpause = 1

[State 770, Max Meter V2]
type = Helper
helpertype = Normal
trigger1 = Animelemtime(2) <= 2 && !NumHelper(790)
id = 790
pos = 0,0
postype = left
name = "Sheild"
stateno = 790
ignorehitpause = 1
ownpal = 1
ignorehitpause = 1
size.xscale = .65
size.yscale = .65

[State 0, Explod]
type = Explod
trigger1 = !numexplod(70501)
anim = 1
ID = 70501
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 9999
removetime = -2
pausemovetime = 0
scale = 1,1
removeongethit = 0

;save for sprite club
[State 0, LifeSet]
type =null; LifeSet
triggerall = ailevel && numenemy
trigger1 = life < lifemax/2
value = lifemax/2
ignorehitpause = 1


[State 0, LifeSet]
type = LifeSet
triggerall = ailevel && numenemy
trigger1 = life < lifemax/10
value = lifemax/10
ignorehitpause = 1



[State 905, AfterImage]
type = afterimage
trigger1 = stateno = 105
trigger1 = abs(vel x) >= 0 && time%10 = 1;!animtime
time = 5
timegap = 5
framegap = 1
length = 3
palbright = 0, 0, 0
palcontrast = 128, 128, 128
palpostbright = 0, 0, 0
paladd = 0, 0, 0
palmul = 0.9, 0.9, 0.9
trans = add1

[State 105, Dust]
type = helper
trigger1 = animelem = 2
stateno = 8103
ID = 8103
name = "Dash Dust"
postype = p1
facing = -1
pausemovetime = 255
supermovetime = 255
ownpal = 1

[State 105, Vel]
type = velset
trigger1 = animelem = 2
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 105, 1]
type = VelMul
trigger1 = AnimElemTime(2) > 0
x = .98

[State 105, 1]
type = VelAdd
trigger1 = AnimElemTime(2) > 0
y = 0.75

[State 110, Type]
type = StateTypeSet
trigger1 = AnimElemTime(2) >= 0
stateType = A
physics = N

[State 105, Land]
type = changestate
trigger1 = animelemtime(2) >= 0
trigger1 = pos y > -vel y
value = 50
ctrl = 1



